com.corticon.rulesemf.ast

## Interface MultiplicativeSubExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface MultiplicativeSubExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Multiplicative Sub Expression'.

  The following features are supported:

  - `Unary Expression`
  - `Multiplicative Operator`
  See Also:
    `AstPackage.getMultiplicativeSubExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiplicativeOperator` | `getMultiplicativeOperator()` Returns the value of the 'Multiplicative Operator' containment reference
    `UnaryExpression` | `getUnaryExpression()` Returns the value of the 'Unary Expression' containment reference
    `void` | `setMultiplicativeOperator(MultiplicativeOperator value)` Sets the value of the '`Multiplicative Operator`' containment reference
    `void` | `setUnaryExpression(UnaryExpression value)` Sets the value of the '`Unary Expression`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getUnaryExpression

          UnaryExpression getUnaryExpression()

      Returns the value of the 'Unary Expression' containment reference.

      If the meaning of the 'Unary Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Unary Expression' containment reference.
      See Also:
        `setUnaryExpression(UnaryExpression)`, `AstPackage.getMultiplicativeSubExpression_UnaryExpression()`

    - #### setUnaryExpression

          void setUnaryExpression(UnaryExpression value)

      Sets the value of the '`Unary Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Unary Expression' containment reference.
      See Also:
        `getUnaryExpression()`

    - #### getMultiplicativeOperator

          MultiplicativeOperator getMultiplicativeOperator()

      Returns the value of the 'Multiplicative Operator' containment reference.

      If the meaning of the 'Multiplicative Operator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Multiplicative Operator' containment reference.
      See Also:
        `setMultiplicativeOperator(MultiplicativeOperator)`, `AstPackage.getMultiplicativeSubExpression_MultiplicativeOperator()`

    - #### setMultiplicativeOperator

          void setMultiplicativeOperator(MultiplicativeOperator value)

      Sets the value of the '`Multiplicative Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Multiplicative Operator' containment reference.
      See Also:
        `getMultiplicativeOperator()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.